package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.XeroRepository;
import com.realnet.vpspack.Entity.Xero
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class XeroService {
@Autowired
private XeroRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Xero Savedata(Xero data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Xero save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Xero> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Xero> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Xero> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Xero getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Xero update(Xero data,Integer id) {
	Xero old = Repository.findById(id).get();
old.setCustomer_key(data.getCustomer_key());

final Xero test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
